STRUCT HANDLE_S(9)

NAME
struct_handle_s - this is the concrete type associated with handle_t.

SYNOPSIS

struct handle_s {
  transaction_t * h_transaction;
  int h_buffer_credits;
  int h_ref;
  int h_err;
  unsigned int h_sync:1;
  unsigned int h_jdata:1;
  unsigned int h_aborted:1;
#ifdef CONFIG_DEBUG_LOCK_ALLOC
  struct lockdep_map h_lockdep_map;
#endif
};

MEMBERS

h_transaction
    Which compound transaction is this update a part of?

h_buffer_credits
    Number of remaining buffers we are allowed to dirty.

h_ref
    Reference count on this handle

h_err
    Field for caller's use to track errors through large fs operations

h_sync
    flag for sync-on-close

h_jdata
    flag to force data journaling

h_aborted
    flag indicating fatal error on handle

h_lockdep_map
    lockdep info for debugging lock problems

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT